<?php

use Hyperf\Database\Schema\Schema;
use Hyperf\Database\Schema\Blueprint;
use Hyperf\Database\Migrations\Migration;

return new class extends Migration {

    public function up(): void
    {
        Schema::table('accounts', function (Blueprint $table) {
            $table->string('theme_key')->nullable()->index()->after('description');
            $table->string('theme_account_code')->nullable()->index()->after('theme_key');
        });
    }

    public function down(): void
    {
        Schema::table('accounts', function (Blueprint $table) {
            $table->dropColumn(['theme_key', 'theme_account_code']);
        });
    }
};
